Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.annotation
Class ScopeMetadata

    java.lang.Object
      org.springframework.context.annotation.ScopeMetadata

    public class ScopeMetadata

extends java.lang.Object

Describes scope characteristics for a Spring-managed bean including the scope name and the scoped-proxy behavior.

The default scope is "singleton", and the default is to not create scoped-proxies.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller
See Also:
  `ScopeMetadataResolver`, `ScopedProxyMode`

Constructor Summary
`ScopeMetadata()`

Method Summary
`ScopedProxyMode` | `getScopedProxyMode()` Get the proxy-mode to be applied to the scoped instance.
`java.lang.String` | `getScopeName()` Get the name of the scope.
`void` | `setScopedProxyMode(ScopedProxyMode scopedProxyMode)` Set the proxy-mode to be applied to the scoped instance.
`void` | `setScopeName(java.lang.String scopeName)` Set the name of the scope.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScopeMetadata

    public ScopeMetadata()

Method Detail

### setScopeName

    public void setScopeName(java.lang.String scopeName)

  Set the name of the scope.

### getScopeName

    public java.lang.String getScopeName()

  Get the name of the scope.

### setScopedProxyMode

    public void setScopedProxyMode(ScopedProxyMode scopedProxyMode)

  Set the proxy-mode to be applied to the scoped instance.

### getScopedProxyMode

    public ScopedProxyMode getScopedProxyMode()

  Get the proxy-mode to be applied to the scoped instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD